<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/tag/list',
        columns: [
          { label: '标签名称', prop: 'name' },
          { label: '标签描述', prop: 'remarks' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [{ label: '标签名称', id: 'name', type: 'input' }],
          },
        ],
        form: [
          {
            label: '标签名称：',
            id: 'name',
            type: 'input',
            rules: {
              required: true,
              message: '请输入标签名称',
              trigger: 'blur',
            },
          },
          {
            label: '标签说明：',
            id: 'remarks',
            type: 'input',
            el: {
              type: 'textarea',
              rows: 6,
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '标签列表',
    }
  },
}
</script>
